Subject: bug#38050: Guix fails during downloading a substitute of google-brotli, throws an ugly backtrace

From: Jan Wielkiewicz <[email-masked]>
Date: Wed, 6 Nov 2019 18:13:32 +0100

Dnia 2019-11-06, o godz. 10:35:25
Ludovic Courtès <[email-masked]> napisał(a):

> Hi Jan,
> 
> 
> Could you send the log returned by:
> 
>   guix build --log-file
> /gnu/store/brvizic3qv469j8fd2xgsgx9p8s5s1j7-google-brotli-1.0.7-checkout
> 
> ?

https://ci.guix.gnu.org/log/brvizic3qv469j8fd2xgsgx9p8s5s1j7-google-brotli-1.0.7-checkout

environment variable `PATH' set to
`/gnu/store/q09sy224qnxrp982z4xfaxi19721mjx8-gzip-1.9/bin:/gnu/store/ipx79bfj2mrc8npj7s3qi3zri11jfhaw-tar-1.30/bin'
Initialized empty Git repository in
/gnu/store/brvizic3qv469j8fd2xgsgx9p8s5s1j7-google-brotli-1.0.7-checkout/.git/
From https://github.com/google/brotli
 * tag               v1.0.7     -> FETCH_HEAD
Note: checking out 'FETCH_HEAD'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in
this state without impacting any branches by performing another
checkout.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -b with the checkout command again.
Example:

  git checkout -b <new-branch-name>

HEAD is now at d6d9895 Ramp up version to 1.0.7

> 
> It looks like the download code provided invalid data, which led (guix
> status) to pass transferred = #false to ‘display-download-progress’.
> I can’t reproduce it, though.

It occured during doing something for Jami, don't remember exactly what
now.
I probably ran "./pre-inst-env guix build jami" in my private git repo,
but I did nothing with google-brotli.

> Thanks,
> Ludo’.

Jan Wielkiewicz